githubEdit

Plugin API

APIs to list and execute Plugins.

πŸ”‘ List available plugins

get

List all plugins of the given type.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Path parameters
typestring Β· enumRequired

Type of plugins you want to list. You can use "all" to get all types at once.

Possible values:
Responses
chevron-right
200

Array of plugins

application/json

Metadata payload for a LRR Plugin.

authorstringOptional

Author of the plugin

descriptionstringOptional

Description of the plugin

namestringOptional

Name of the plugin

iconstringOptional

Base64 image of the plugin icon

typestring Β· enumOptional

Type of the plugin

Possible values:
namespacestringOptional

Unique namespace for the plugin

versionstringOptional

Version of the plugin

oneshot_argstring Β· nullableOptional

Description of the manual one-shot argument users can fill in for manual plugin calls

url_regexstring Β· nullableOptional

For downloader plugins, regex where it should be used

login_fromstring Β· nullableOptional

Namespace of the login plugin this plugin depends on

get
/plugins/{type}
200

Array of plugins

πŸ”‘ Use a Plugin

post

Uses a Plugin and returns the result. If using a metadata plugin, the matching archive will not be modified in the database. See more info on Plugins in the matching section of the Docs.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Query parameters
idstring Β· min: 40 Β· max: 40Optional

ID of the archive to use the Plugin on. This is only mandatory for metadata plugins.

pluginstringRequired

Namespace of the plugin to use.

argstringOptional

Optional One-Shot argument to use when executing this Plugin.

Responses
chevron-right
200

Plugin result

application/json
operationstring Β· enumOptionalPossible values:
typestring Β· enumOptionalPossible values:
successinteger Β· enumOptional

Whether the Plugin run succeeded or not.

Possible values:
errorstringOptional
dataobjectOptional

Arbitrary data returned by the Plugin.

post
/plugins/use
200

Plugin result

πŸ”‘ Use a Plugin Asynchronously

post

Uses a Plugin and returns a Minion Job ID matching the Plugin run. This endpoint is useful if you want to run longer-lived plugins which might timeout if ran with the standard endpoint.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Query parameters
idstring Β· min: 40 Β· max: 40Optional

ID of the archive to use the Plugin on. This is only mandatory for metadata plugins.

priorityintegerOptional

Priority of the Minion job. The higher the number, the more important the job is.

pluginstringRequired

Namespace of the plugin to use.

argstringOptional

Optional One-Shot argument to use when executing this Plugin.

Responses
chevron-right
200

Enqueued job

application/json
operationstring Β· enumOptionalPossible values:
successinteger Β· enumOptionalPossible values:
jobintegerOptional

ID of the created Minion job

post
/plugins/queue
200

Enqueued job

Last updated